This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 531393 - [abrt] crash detected in system-config-display-2.2-1.fc12
[abrt] crash detected in system-config-display-2.2-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
abrt_hash:899ffa3f
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 21:56 EDT by Mario Chacon
Modified: 2010-12-03 22:39 EST (History)
47 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.48 KB, text/plain)
2009-10-27 21:56 EDT, Mario Chacon
no flags Details

  None (edit)
Description Mario Chacon 2009-10-27 21:56:21 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
python2 /usr/share/system-config-display/xconf.py 


component
-----
system-config-display


executable
-----
/usr/share/system-config-display/xconf.py


kernel
-----
2.6.31.5-96.fc12.i686


package
-----
system-config-display-2.2-1.fc12


uuid
-----
899ffa3f
Comment 1 Mario Chacon 2009-10-27 21:56:24 EDT
Created attachment 366370 [details]
File: backtrace
Comment 2 Matěj Cepl 2009-11-05 12:19:36 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 António Lima 2009-11-15 14:32:08 EST
Hi, I get a crash every time I try to run system-config-display. I'm runnig an up-to-date fedora 12 instalation upgraded from fedora 11 with preupgrade.

Let me know if I can provide more info.
Comment 4 Bug Zapper 2009-11-16 09:28:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mo Ali 2009-11-28 09:50:27 EST
That is correct, when you install rawhide/livna display packages, the default display manager will crash.  I don't know why there's 2 display options (System > Administration.  System > preferences)  but the one under system > administration is the one that crashes.  I really don't think this is a bad bug at all, it may get a newbie aggravated though.
Comment 6 Ioannis Manoloudis 2009-11-28 10:22:00 EST
Hello all
I submitted this bug report.
I had installed FC11 on a computer.
I upgraded to FC12 recently.
I need to have NVIDIA driver support for the particular computer because otherwise, I had problem making the computer change to a high resolution.
The bug was submitted using the automatic bug submitting tool.

I solved my problem by adding other rpm repos for NVIDIA drivers and installing them.

Personally I have no further problems and you can do with the bug anything you think is appropriate, even close it.

However I emphasize that support for NVIDIA hardware ought to be far better. If licensing restrictions prevent the fedora project from shipping the proprietary drivers with the distro, then there should be an optional non-free (as in free speech) repo where from NVIDIA hardware users could download them.

Alternatively you could make the Nouveau drivers to actually work.
Comment 7 James W. Melody 2010-03-24 10:09:30 EDT

How to reproduce
-----
1. attempt to run system-config-display
2.
3.


Comment
-----
I installed system-config-display and tried to run it from a terminal.
Comment 8 Dxun 2010-04-28 07:30:20 EDT
Package: system-config-display-2.2-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Tried to set LCD resolution
2. Tried to install system-config-display with yum and running as root
3. Whil installing, it crashed with the backtrace


Comment
-----
There's not much to comment - tried to install system-config-display via yum in Fedora 12 as root and it crashed.
Comment 9 stajem 2010-05-28 17:43:04 EDT
Package: system-config-display-2.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just launch after recreate xorg.conf
2.
3.
Comment 10 Michal Hlavinka 2010-06-04 10:12:12 EDT
Package: system-config-display-2.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start system-config-display as root
2.
3.


Comment
-----
I have dualhead

Content of xorg.conf:
Section "Device"
        Identifier  "Videocard0"
        Driver      "nouveau"
EndSection

and that's all
Comment 11 Bug Zapper 2010-11-04 05:01:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 WillDeed 2010-12-01 22:52:15 EST
Package: system-config-display-2.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2. 
3.
Comment 13 Bug Zapper 2010-12-03 22:39:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.